Luminance HDR User Manual — Tone Mapping — From Console

### Tone Mapping from Console

Below are listed the command line switches used to create an HDR image and tonemap it. The relevant parameters for tonemap an image are: -g to define a gamma value to be applied before tonemapping, -r to resize the image to a given value before tonemapping, -t to select a tonemapping operator, -p to input the operator parameters values, -o to specify the resulting output file

Usage: luminance-hdr [OPTIONS]... [INPUTFILES]...
Commandline interface to luminance-hdr.
-h --help Display this help.
-v --verbose Print more messages during execution.
-a --align AIS|MTB Align Engine to use during HDR creation (default: no alignment).
-e --ev EV1,EV2,... Specify numerical EV values (as many as INPUTFILES).
-c --config HDR creation config. Possible values: weight=triangular|gaussian|plateau:response_curve=from_file|linear|gamma|log|robertson:model=robertson|debevec:curve_filename=your_file_here.m (Default is weight=triangular:response_curve=linear:model=debevec)
-l --load HDR_FILE Load an HDR instead of creating a new one.
-s --save HDR_FILE Save to a HDR file format. (default: don't save)
-g --gamma VALUE Gamma value to use during tone mapping. (default: 1)
-r --resize VALUE Width you want to resize your HDR to (resized before gamma and tone mapping)
-t --tmo Tone mapping operator. Legal values are: ashikhmin|drago|durand|fattal|pattanaik|reinhard02|reinhard05|mantiuk06|mantiuk08 (Default is mantiuk06)
-p --tmoptions Tone mapping operator options. Legal values are: alpha=VALUE:beta=VALUE:color=VALUE:noise=VALUE:new=true|false (for fattal) contrast=VALUE:saturation=VALUE:detail=VALUE:equalization=true|false (for mantiuk06) colorsaturation=VALUE:contrastenhancement=VALUE:luminancelevel=VALUE:setluminance=true|false (for mantiuk08) localcontrast=VALUE:eq=2|4:simple=true|false (for ashikhmin) sigma_s=VALUE:sigma_r=VALUE:base=VALUE (for durand) bias=VALUE (for drago) local=true|false:autolum=true|false:cone=VALUE:rod=VALUE:multiplier=VALUE (for pattanaik) scales=true|false:key=VALUE:phi=VALUE:num=VALUE:low=VALUE:high=VALUE (for reinhard02) brightness=VALUE:chroma=VALUE:lightness=VALUE (for reinhard05) (default is contrast=0.3:equalization=false:saturation=1.8, see also -o)
-o --output LDR_FILE File name you want to save your tone mapped LDR to. (No tonemapping is performed unless -o is specified). You must either load an existing HDR file (via the -l option) or specify INPUTFILES to create a new HDR.